Bug 59246 - <command line>: macro names must be identifiers; empty -D option causes seg fault
<command line>: macro names must be identifiers; empty -D option causes seg f...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-03 15:53 EST by Hubert Matthews
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-03 15:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Matthews 2002-02-03 15:53:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en]C-CCK-MCD NetscapeOnline.co.uk  (WinNT; I)

Description of problem:
gcc -D -Wall -pedantic anyfile.c
<command line>: macro names must be identifiers
gcc: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. $ gcc -D -Wall -pedantic anyfile.c
	

Actual Results:  gcc -D -Wall -pedantic empty.c
<command line>: macro names must be identifiers
gcc: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.


Expected Results:  It shouldn't seg fault!

Additional info:
Comment 1 Jakub Jelinek 2002-02-04 09:59:26 EST
This was fixed in gcc-2.96-100.

Note You need to log in before you can comment on or make changes to this bug.